Class | Fog::CDN::AWS::Mock
In: | lib/fog/aws/cdn.rb lib/fog/aws/requests/cdn/get_invalidation.rb lib/fog/aws/requests/cdn/get_invalidation_list.rb lib/fog/aws/requests/cdn/post_distribution.rb lib/fog/aws/requests/cdn/post_streaming_distribution.rb lib/fog/aws/requests/cdn/put_distribution_config.rb lib/fog/aws/requests/cdn/get_streaming_distribution.rb lib/fog/aws/requests/cdn/get_distribution_list.rb lib/fog/aws/requests/cdn/delete_distribution.rb lib/fog/aws/requests/cdn/post_invalidation.rb lib/fog/aws/requests/cdn/get_distribution.rb lib/fog/aws/requests/cdn/get_streaming_distribution_list.rb lib/fog/aws/requests/cdn/put_streaming_distribution_config.rb lib/fog/aws/requests/cdn/delete_streaming_distribution.rb
Parent: | Object

### Methods

data data delete_distribution delete_streaming_distribution distribution_id domain_name error generic_id get_distribution get_distribution_list get_invalidation get_invalidation_list get_streaming_distribution get_streaming_distribution_list new post_distribution post_invalidation post_streaming_distribution put_distribution_config put_streaming_distribution_config raise_error random_id reset reset_data setup_credentials signature

### Constants

CDN_ERRORS | = | { :access_denies => {:code => 'AccessDenied',:msg => 'Access denied.',:status => 403}, :inappropriate_xml => {:code => 'InappropriateXML',:msg => 'The XML document you provided was well-formed and valid, but not appropriate for this operation.',:status => 400}, :internal_error => {:code => 'InternalError',:msg => 'We encountered an internal error. Please try again.',:status => 500}, :invalid_action => {:code => 'InvalidAction',:msg => 'The action specified is not valid.',:status => 400}, :invalid_argument => {:code => 'InvalidArgument',:msg => '%s', :status => 400}, :not_implemented => {:code => 'NotImplemented', :msg => 'Not implemented.',:status => 501}, :no_such_distribution => { :code => 'NoSuchDistribution', :msg => 'The specified distribution does not exist', :status => 404 }, :no_such_streaming_distribution => { :code => 'NoSuchStreamingDistribution', :msg => 'The specified streaming distribution does not exist', :status => 404 }, :no_such_invalidation => { :code => 'NoSuchInvalidation', :msg => 'The specified invalidation does not exist', :status => 404 }, :cname_exists => { :code => 'CNAMEAlreadyExists', :msg => 'One or more of the CNAMEs you provided are already associated with a different distribution', :status => 409 }, :illegal_update => { :code => 'IllegalUpdate', :msg => 'Origin and CallerReference cannot be updated.', :status => 400 }, :invalid_if_match_version => { :code => 'InvalidIfMatchVersion', :msg => 'The If-Match version is missing or not valid for the distribution.', :status => 400}, :distribution_not_disabled => { :code => 'DistributionNotDisabled', :msg => 'The distribution you are trying to delete has not been disabled.', :status => 409 }, }

### Public Class methods

data()
distribution_id()
domain_name()
error(code, argument = '')
generic_id()
new(options={})
raise_error(status, code, message='')
random_id(length)
reset()

### Public Instance methods

data()
delete_distribution(distribution_id, etag)
delete_streaming_distribution(distribution_id, etag)
get_distribution(distribution_id)
get_distribution_list(options = {})
get_invalidation(distribution_id, invalidation_id)
get_invalidation_list(distribution_id, options = {})
get_streaming_distribution(distribution_id)
get_streaming_distribution_list(options = {})
post_distribution(options = {})
post_invalidation(distribution_id, paths, caller_reference = Time.now.to_i.to_s)
post_streaming_distribution(options = {})
put_distribution_config(distribution_id, etag, options = {})
put_streaming_distribution_config(distribution_id, etag, options = {})
reset_data()
setup_credentials(options={})
signature(params)

[Validate]